From 20a3ccbbbb26eef6adc7b19b4edc9be57c516c44 Mon Sep 17 00:00:00 2001
From: Jean-Baptiste Holcroft <jean-baptiste@holcroft.fr>
Date: Oct 15 2020 21:41:00 +0000
Subject: [PATCH 6/6] reduce log output and store data.json in top folder


---

diff --git a/build.py b/build.py
index 71ec3af..f6c1c18 100755
--- a/build.py
+++ b/build.py
@@ -50,7 +50,7 @@ def main():
     if not os.path.exists(tm_folder):
         os.makedirs(tm_folder)
 
-    processing_file = os.path.join(result_folder, "data.json")
+    processing_file = os.path.join("./results/f{v}/".format(v=distrel), "data.json")
     srpm_list_file = os.path.join(srpms_path, "srpm.txt")
     url_list = None
 
@@ -160,15 +160,10 @@ def extract_srpm(tmp, name, result_folder):
     """extract srpm page"""
     print("extract_srpm: " + name)
 
-    out = open(result_folder + '/_srpm.out.txt', 'a')
-    error = open(result_folder + '_srpm.errors.txt', 'a')
-
-    subprocess.run(['./extract_srpm.sh', tmp, name],
-                   stdout=out, stderr=error, check=True)
-
-    out.close()
-    error.close()
-
+    with open(result_folder + '/_srpm.out.txt', 'a') as out:
+        with open(result_folder + '_srpm.errors.txt', 'a') as error:
+            subprocess.run(['./extract_srpm.sh', tmp, name],
+                           stdout=out, stderr=error, check=True)
 
 def discover_translations(tmp, name, result_folder, tm_folder):
     """find po file"""
@@ -225,15 +220,11 @@ def discover_translations(tmp, name, result_folder, tm_folder):
 
 def get_po_translation_level(path, mask, name, result_folder, tm_folder):
     filemask = mask["filemask"]
-    print("get_po_translation_level: " + filemask)
 
-    stats = open(result_folder + '/{p}.stats.csv'.format(p=name), 'a')
-    error = open(result_folder + '/{p}.errors.txt'.format(p=name), 'a')
-    subprocess.run(["pocount", filemask.split("*")[0], "--csv"],
-                   stdout=stats, stderr=error, check=True, cwd=path)
-
-    stats.close()
-    error.close()
+    with open(result_folder + '/{p}.stats.csv'.format(p=name), 'a') as stats:
+        with open(result_folder + '/{p}.errors.txt'.format(p=name), 'a') as error:
+            subprocess.run(["pocount", filemask.split("*")[0], "--csv"],
+                           stdout=stats, stderr=error, check=True, cwd=path)
 
     # Copy translation files in translation memory
     for po in glob.glob(path + "/" + filemask):
@@ -252,15 +243,11 @@ def get_po_translation_level(path, mask, name, result_folder, tm_folder):
 
 def get_ts_translation_level(path, mask, name, result_folder):
     filemask = mask["filemask"]
-    print("get_ts_translation_level: " + filemask)
 
-    stats = open(result_folder + '/{p}.stats.csv'.format(p=name), 'a')
-    error = open(result_folder + '/{p}.errors.txt'.format(p=name), 'a')
-    subprocess.run(["pocount", filemask.split("*")[0], "--csv"],
-                   stdout=stats, stderr=error, check=True, cwd=path)
-
-    stats.close()
-    error.close()
+    with open(result_folder + '/{p}.stats.csv'.format(p=name), 'a') as stats:
+        with open(result_folder + '/{p}.errors.txt'.format(p=name), 'a') as error:
+            subprocess.run(["pocount", filemask.split("*")[0], "--csv"],
+                           stdout=stats, stderr=error, check=True, cwd=path)
 
     subprocess.run(["sed",
                     "-i",
@@ -272,7 +259,6 @@ def get_ts_translation_level(path, mask, name, result_folder):
 
 def get_json_translation_level(path, mask, name, result_folder):
     filemask = mask["filemask"]
-    print("get_json_translation_level: " + filemask)
 
     stats = open(result_folder + '/{p}.stats.csv'.format(p=name), 'a')
     error = open(result_folder + '/{p}.errors.txt'.format(p=name), 'a')
@@ -331,23 +317,22 @@ def get_json_translation_level(path, mask, name, result_folder):
                     result_folder + '/{p}.errors.txt'.format(p=name)],
                    check=True)
 
+
+def unknown_format(results, srpm, tformat, result_folder):
+    with open(result_folder + "/todo_" + tformat + ".txt", "a") as file:
+        file.write(srpm + " " + results["filemask"] + "\n")
+
+
 def concat_csv(result_folder):
     filenames = [f for f in os.listdir(result_folder) if os.path.isfile(os.path.join(result_folder, f))]
     filenames = [f for f in filenames if f.endswith(".stats.csv")]
 
     with open(os.path.join(result_folder, "_concat.csv"), "w") as outfile:
         for fname in filenames:
-            print(fname)
             with open(os.path.join(result_folder, fname)) as infile:
                 for line in infile:
                     outfile.write(line)
 
-def unknown_format(results, srpm, tformat, result_folder):
-    print("unknown_format: " + tformat)
-
-    with open(result_folder + "/todo_" + tformat + ".txt", "a") as file:
-        file.write(srpm + " " + results["filemask"] + "\n")
-
 
 if __name__ == '__main__':
     main()

